### Function Macro

# GObject signal_handlers_unblock_by_func

since: 2.0

#### Declaration

    #define g_signal_handlers_unblock_by_func (
      instance,
      func,
      data
    )

#### Description

Unblocks all handlers on an instance that match `func` and `data`.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`instance`

  Type: `-`

  The instance to unblock handlers from.

`func`

  Type: `-`

  The C closure callback of the handlers (useless for non-C closures).

`data`

  Type: `-`

  The closure data of the handlers’ closures.